> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seraph.si/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Player

> Add a sniper to the Database



## OpenAPI

````yaml https://api.seraph.si/json post /addsniper
openapi: 3.1.0
info:
  contact:
    email: support@seraph.si
    name: API Support
    url: https://discord.gg/UzJjnZhe8f
  title: Seraph API
  version: '1.0'
servers:
  - url: api.seraph.si/
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /addsniper:
    post:
      tags:
        - API
      summary: Add Player
      description: Add a sniper to the Database
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/utils.AddSniperPatchReport'
        description: Payload
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.AddSniperPatchReport'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Bad Request
components:
  schemas:
    utils.AddSniperPatchReport:
      properties:
        custom_timestamp:
          example: (ADMIN) 2023-01-01T00:00:00Z
          type: string
        deleted:
          example: true
          type: boolean
        deleted_reason:
          example: Account Sold
          type: string
        evidence:
          example: https://youtube.com/
          type: string
        locked_report:
          example: true
          type: boolean
        pending_verification:
          example: true
          type: boolean
        reason:
          example: Sniped bombies
          type: string
        report_type:
          example: sniping
          type: string
        snowflake:
          example: '573210701607469059'
          type: string
        uuid:
          example: 4fa6e55b-d66a-43c6-949d-a5116ae2d39f
          type: string
        verified:
          example: true
          type: boolean
        verified_by:
          example: '573210701607469059'
          type: string
        verified_ids:
          example:
            - '[573210701607469059]'
          items:
            type: string
          type: array
          uniqueItems: false
        verified_reason:
          example: 'Cheating: bhop, killaura, scaffold'
          type: string
        verified_type:
          example: STAFF
          type: string
      type: object
    validation.ErrorResponse:
      properties:
        cause:
          type: string
        code:
          type: integer
        documentation:
          type: string
        extra:
          items:
            $ref: '#/components/schemas/validation.ErrorObject'
          type: array
          uniqueItems: false
        msTime:
          type: integer
        success:
          type: boolean
      type: object
    validation.ErrorObject:
      properties:
        code:
          type: integer
        developer_reason:
          type: string
        name:
          type: string
        reason:
          type: string
      type: object

````